Bug 1416545 - Every host comes up as non-operational until a forced activation from RHV-M
Summary: Every host comes up as non-operational until a forced activation from RHV-M
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm-jsonrpc-java
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-rc
: ---
Assignee: Piotr Kliczewski
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 19:05 UTC by Bill Sanford
Modified: 2019-04-28 11:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-24 05:49:14 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
Vdsm log from giediprime (59.49 KB, text/plain)
2017-01-25 19:05 UTC, Bill Sanford
no flags Details
Host deploy log of giediprime (521.75 KB, text/plain)
2017-01-25 19:06 UTC, Bill Sanford
no flags Details
First install of activating host from maintenance mode (123.30 KB, image/png)
2017-01-25 19:07 UTC, Bill Sanford
no flags Details
Second install of activating host from non-operational mode (140.87 KB, image/png)
2017-01-25 19:08 UTC, Bill Sanford
no flags Details
engine.log (8.96 MB, text/plain)
2017-01-25 19:39 UTC, Bill Sanford
no flags Details
supervdsm log (41.69 KB, text/plain)
2017-01-25 19:41 UTC, Bill Sanford
no flags Details

Description Bill Sanford 2017-01-25 19:05:05 UTC
Created attachment 1244372 [details]
Vdsm log from giediprime

Description of problem:
Adding hosts to RHV-M 4.1 brings up hosts in the Non-operational state. I have seen this twice, where I first put them in maintenance, then activated them and the second time where I just reactivated them from the RHV-M menu. These were completely newly installed environments, both times.

The error in the VDSM log on the host shows this:

2017-01-25 13:37:18,050 ERROR (JsonRpc (StompReactor)) [vds.dispatcher] SSL error receiving from <yajsonrpc.betterAsyncore.Dispatcher connected ('::ffff:10.19.168.41', 51934, 0, 0) at 0x23b25a8>: (104, 'Connection reset by peer') (betterAsyncore:113)

I will attach the VDSM and Host deploy logs.

Version-Release number of selected component (if applicable):
RHEL 7.3 
rhv-4.1.0-9/el7/
vdsm-4.19.2-2.el7ev.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install 7.3 for Engine and Hosts
2. Install RHV 4.1 
3. Add new hosts

Actual results:


Expected results:


Additional info:

Comment 1 Bill Sanford 2017-01-25 19:06:42 UTC
Created attachment 1244373 [details]
Host deploy log of giediprime

Comment 2 Bill Sanford 2017-01-25 19:07:37 UTC
Created attachment 1244374 [details]
First install of activating host from maintenance mode

Comment 3 Bill Sanford 2017-01-25 19:08:29 UTC
Created attachment 1244375 [details]
Second install of activating host from non-operational mode

Comment 4 Oved Ourfali 2017-01-25 19:35:38 UTC
Please also attach engine.log.

Comment 5 Oved Ourfali 2017-01-25 19:39:37 UTC
Also, supervdsm.log, as we need to see the setupNetworks result.

Comment 6 Bill Sanford 2017-01-25 19:39:46 UTC
Created attachment 1244395 [details]
engine.log

Comment 7 Bill Sanford 2017-01-25 19:41:34 UTC
Created attachment 1244396 [details]
supervdsm log

Comment 9 Bill Sanford 2017-01-25 19:53:18 UTC
Absolutely. I will reinstall the engine and after I file another, different bug.

Comment 10 Oved Ourfali 2017-01-25 19:54:40 UTC
Thanks. Please also specify what's the vdsm-jsonrpc-java version you're using, to make sure it is the right one.

Comment 11 Bill Sanford 2017-01-25 19:55:52 UTC
vdsm-jsonrpc-java-1.3.7-1.el7ev.noarch

Comment 12 Piotr Kliczewski 2017-01-25 19:56:31 UTC
Can you please try with 1.3.8?

Comment 13 Bill Sanford 2017-01-25 19:58:10 UTC
I can do that.

Is that only in brew and not in the build?

Comment 14 Bill Sanford 2017-01-26 16:47:08 UTC
This fix does work but would like to verify with RHV-M build that has the new vdsm-jsonrpc-java build.

Comment 16 Lucie Leistnerova 2017-04-05 08:54:21 UTC
new added hosts started in Up mode
hosts with vdsm-4.19.10.1-1.el7ev.x86_64 and vdsm-4.19.2-2.el7ev.x86_64

verified in ovirt-engine-4.1.1.7-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.